// Craciun Catalin
//  Buzzer.h
//   © 2014 Catalin Craciun

#ifndef BuzzerH
#define BuzzerH

#include "mbed.h"

class Buzzer {
    public:
        Buzzer(PinName buzzerPinName);
        ~Buzzer();
        
        void stopBeep();
        void startBeep(float frequency, float duration);
        
        void playDefaultMelody();
    private:
        PwmOut buzzerPin;
        Timeout timeout;
        
        void playMel();
};

#endif // BuzzerH
